qgrep(1)

NAME
qgrep - grep in ebuilds

SYNOPSIS
qgrep <opts> <misc args>

DESCRIPTION

OPTIONS

-I, --invert-match
    Select non-matching lines

-i, --ignore-case
    Ignore case distinctions

-H, --with-filename
    Print the filename for each match

-N, --with-name
    Print the package or eclass name for each match

-c, --count
    Only print a count of matching lines per FILE

-l, --list
    Only print FILE names containing matches

-L, --invert-list
    Only print FILE names containing no match

-e, --regexp
    Use PATTERN as a regular expression

-x, --extended
    Use PATTERN as an extended regular expression

-J, --installed
    Search in installed ebuilds instead of the tree

-E, --eclass
    Search in eclasses instead of ebuilds

-s, --skip-comments
    Skip comments lines

-S <arg>, --skip <arg>
    Skip lines matching <arg>

-B <arg>, --before <arg>
    Print <arg> lines of leading context

-A <arg>, --after <arg>
    Print <arg> lines of trailing context

--root <arg>
    Set the ROOT env var

-v, --verbose
    Make a lot of noise

-q, --quiet
    Tighter output; suppress warnings

-C, --nocolor
    Don't output color

-h, --help
    Print this help and exit

-V, --version
    Print version and exit

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

SEE ALSO
q(1), qatom(1), qcache(1), qcheck(1), qdepends(1), qfile(1), qlist(1), qlop(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), quse(1), qxpak(1)